%define name mhwaveedit
%define version 1.2.3
%define release 1mdk

Summary:	WAV Editing Package
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Sound
URL: 		http://www.mtek.chalmers.se/~hjormagn/mhwaveedit.htm
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: 	pkgconfig libgtk+2.0_0-devel libSDL1.2-devel libsndfile1-devel

%description
mhWaveEdit is a graphical program for editing sound files. It is completely 
free (GPL) and it's written by Magnus Hjorth. It is intended to be 
user-friendly and robust. 

%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q

%build

%configure --without-portaudio
%make

%install
%makeinstall

# Menu
mkdir -p %buildroot/%{_menudir}
cat > %buildroot/%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="sound_section.png" section="Multimedia/Sound" \
title="mhWaveEdit" longtitle="WAV audio editor"
EOF

%clean
rm -rf %buildroot/

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog COPYING NEWS README TODO
%_bindir/%name
%_menudir/%name

%changelog
* Tue Jun 10 2003 Austin Acton <aacton@yorku.ca> 1.2.3-1mdk
- 1.2.3

* Mon May 26 2003 Austin Acton <aacton@yorku.ca> 1.2.2-1mdk
- 1.2.2

* Sun May 11 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1
- new url
- fix install

* Sun Feb 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-2mdk
- rebuild

* Fri Jan 17 2003 Austin Acton <aacton@yorku.ca> 1.2.0-1mdk
- 1.2.0

* Fri Nov 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- initial package
